gnome-sharp 0.0.0.0 neutral Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Base class for canvas item shapes

Provides a base class for canvas item shapes, including: , , , and .

Gnome.CanvasItem GLib.IWrapper System.IDisposable
- Method
  System.Void Disposes the resources associated with the object.
- Constructor
  Internal constructor
  Pointer to the C object.
  An instance of CanvasShape, wrapping the C object.

  This is an internal constructor, and should not be used by user code.

- Property
  Gnome.CanvasPathDef The used a a or if none is set for the shape.

  It does not request updates, as it is meant to be used from item implementations, from inside update queue.

- Property
  Gdk.Drawable Stipple pattern for fill. Stipple pattern Stipple pattern
- Property
  System.String X color specification for outline color, or pointer for no color (transparent). X color specification X color specification
- Property
  Gdk.CapStyle Cap (end point) style for the Bezier path. Cap style Cap style used by the Bezier path
- Property
  Gdk.JoinStyle Vertex join style for the Bezier path. Vertex join style Verty join style used by the Bezier path
- Property
  System.UInt32 Fill color with an alpha component (in the format 0xRRGGBBAA). the color to fill the fill color
- Property
  System.Double Minimum angle between segments, where miter join rule is applied. minium angle between segments Minimum angle between segments, where miter join rule is applied.
- Property
  Gdk.Color Allocated for fill. a the to fill
- Property
  System.Double Width of the outline in canvas units. The outline will be scaled when the canvas zoom factor is changed. width of the outline width of the outline
- Property
  System.UInt32 Outline color with an alpha component (in the format 0xRRGGBBAA). outline color outline color
- Property
  System.UInt32 Width of the outline in pixels. The outline will not be scaled when the canvas zoom factor is changed. Width of the outline width of the outline
- Property
  System.UInt32 Winding rule for the Bezier path winding rule winding rule used by the Bezier path
- Property
  Gdk.Drawable Stipple pattern for outline. a stipple pattern Stipple pattern used by the outline
- Property
  System.String X color specification for fill color, or pointer for no color (transparent). X color specification X color specification
- Property
  Gdk.Color Allocated for outline. a the color of the outline
- Property
  Art.VpathDash To be added a To be added
- Property
  GLib.GType GType Property. a Returns the native value for .
- Constructor
  Protected Constructor.
  a
  a
  Chain to this constructor if you have manually registered a native value for your subclass.
- Constructor
  To be added
  a
  a
  a
  To be added
- Constructor
  To be added
  a
  To be added